# voicemail-ticketizer

`voicemail-ticketizer` creates Sonar tickets of RingCentral voicemails.

## Configuration

```shell
# Required API/authentication variables:
SONAR_URL=https://instance.sonar.software/api/graphql
SONAR_TOKEN=
RC_APP_KEY=
RC_APP_SECRET=
RC_LOGIN_USERNAME=
RC_LOGIN_EXT=
RC_LOGIN_PASSWORD=

# Set to any value to enable use of RingCentral's sandbox API
RC_SANDBOX=

DB_ENGINE=sqlite # can be pg
# only used when DB_ENGINE=pg
DB_URL=
# only used when DB_ENGINE=sqlite
DB_FILE=voicemails.db

# A mapping of extension number to Sonar Ticket Group
# Only the voicemail boxes of these extensions will be checked
EXTENSION_TICKET_GROUPS=1:1,2:2,2:3
```

## Deployment

Via `docker-compose`:

```yaml
version: "3.8"

volumes:
  data:

services:
  voicemail-ticketizer:
    build: https://git.esis.network/esis/voicemail-ticketizer.git#master
    restart: always
    environment:
      # ... see Configuration above
      DB_FILE: /data/voicemails.db
    volumes:
      - data:/data
```
